import React from "react";

export interface ButtonProps {
  size?: "small" | "large";
  variant?: "redpink" | "white";
  tel?: boolean;
  dot?: boolean;
}

declare const Button: React.FunctionComponent<ButtonProps>;

export interface NavTabProps {
  title: string;
  active?: boolean;
  variant?: "black" | "white";

  onMouseEnter?: () => void;
  onMouseLeave?: () => void;
}

declare const NavTab: React.FunctionComponent<NavTabProps>;

export interface TitleProps {
  text: [string, string, string];
  caption?: string;
  exclusive?: boolean;
}

declare const Title: React.FunctionComponent<TitleProps>;

export interface PhotoCardProps {
  photo:
    | "nemo-pic-01"
    | "nemo-pic-02"
    | "nemo-pic-03"
    | "nemo-pic-04"
    | "nemo-pic-05"
    | "nemo-pic-06"
    | "nemo-pic-07"
    | "nemo-pic-08"
    | "pic-life-1"
    | "pic-life-2"
    | "pic-life-3"
    | "ic-world-colors"
    | "ic-search-colors"
    | "ic-team-colors";
  width: number;
  exclusive?: boolean;
}

declare const PhotoCard: React.FunctionComponent<PhotoCardProps>;
