import React from "react";
import styled from "styled-components";
import { PhotoCardProps } from "../../..";
import { tablet } from "../../common";

export const PhotoCard: React.FunctionComponent<PhotoCardProps> = (props) => {
  const { photo, exclusive, width } = props;

  return (
    <Container>
      <Photo src={`images/${photo}@2x.jpg`} width={width} />
    </Container>
  );
};

const Container = styled.div`
    display: inline-block;
`;

const Photo = styled.img`
  @media (max-width: ${tablet}) {
    width: 100%;
  }
`;
